Retrieve a paginated list of loans. Supports filtering by status and product ID. Returns loan summary information without sensitive details.
Security
ApiKeyAuth
- https://api.pioneerft.com/apihttps://api.pioneerft.com/api/public/v1/loans
- https://api.staging.pioneerft.com/apihttps://api.staging.pioneerft.com/api/public/v1/loans
curl -i -X GET \
'https://api.pioneerft.com/api/public/v1/loans?limit=50&offset=0&cursor=string&status=draft&productId=string&sort=createdAt&order=asc' \
-H 'Authorization: Bearer <YOUR_API Key_HERE>'Response
- object
- object (2)
{ "data": [ { "id": "string", "loanNumber": "string", "status": "string", "type": "business", "centsAmount": -9007199254740991, "centsMonthlyPayment": -9007199254740991, "monthsTerm": -9007199254740991, "monthsInterestOnly": -9007199254740991, "paymentFrequency": "weekly", "rateType": "fixed", "bpsRate": -9007199254740991, "purpose": "string", "purposeNarrative": "string", "applicationDate": "string", "closeDate": "string", "maturityDate": "string", "firstPaymentDate": "string", "product": { "id": "string", "name": "string" }, "stage": { "id": "string", "name": "string" }, "createdAt": "string", "updatedAt": "string" } ], "meta": { "mode": "offset", "limit": 0, "offset": 0, "hasMore": true } }